glib20 2.26.1 / dbus dependency

Jakub Lach jakub_lach at mailplus.pl
Sat Nov 20 18:07:02 UTC 2010



Joe Marcus Clarke wrote:
> 
> On 11/20/10 11:57 AM, Jakub Lach wrote:
>> 
>> Hello.
>> 
>> Why push dbus as required dependency?
>> 
>> I manually deleted dbus dependency and added
>> --disable-dbus (just in case it's respected), 
>> it compiled fine.
>> 
>> Maybe WITHOUT_DBUS= knob could be added?
> 
> DBus is now fundamentally required for many glib consumers in the GNOME
> space.  The DBus code is interwoven into libgio, so it can't easily be
> added as slave port "extra."  If you build glib without DBus you may
> surprised that some things just won't work.
> 

Thanks for reply, as I'm far from GNOME user, 
I hope it doesn't affect me much.

Currently I have installed:

$ pkg_info -R glib-2.26.1
Information for glib-2.26.1:

Required by:

desktop-file-utils-0.15_2
gamin-0.1.10_4
gstreamer-0.10.30
gstreamer-plugins-0.10.30,3
gstreamer-plugins-bad-0.10.20,3
gstreamer-plugins-good-0.10.25,3
gstreamer-plugins-ogg-0.10.30,3
gstreamer-plugins-theora-0.10.30,3
gstreamer-plugins-vorbis-0.10.30,3
gstreamer-plugins-vp8-0.10.20,3
pl-openoffice.org-3.4.20101105
shared-mime-info-0.71_1
gio-fam-backend-2.26.1
cairo-1.10.0_2,1
gobject-introspection-0.9.12
atk-1.32.0
pango-1.28.3

However gstreamer is just for opera, and rest of
it is I believe just for OO.o (which is working fine 
without gtk20 by the way), so I reckon I could be
safe.

I'm dreading update to GNOME 3 though..  

best regards, 
- Jakub Lach
-- 
View this message in context: http://old.nabble.com/glib20-2.26.1---dbus-dependency-tp30266638p30267073.html
Sent from the freebsd-gnome mailing list archive at Nabble.com.



More information about the freebsd-gnome mailing list